### Navigation

- index
- next |
- previous |
- CMake »
- 3.4.3 Documentation »
- cmake-modules(7) »

# CheckLanguage

Check if a language can be enabled

Usage:

    check_language(<lang>)

where <lang> is a language that may be passed to enable_language() such as “Fortran”. If CMAKE_<lang>_COMPILER is already defined the check does nothing. Otherwise it tries enabling the language in a test project. The result is cached in CMAKE_<lang>_COMPILER as the compiler that was found, or NOTFOUND if the language cannot be enabled.

Example:

    check_language(Fortran)
    if(CMAKE_Fortran_COMPILER)
      enable_language(Fortran)
    else()
      message(STATUS "No Fortran support")
    endif()

### Navigation

- index
- next |
- previous |
- CMake »
- 3.4.3 Documentation »
- cmake-modules(7) »